Subject: Re: PCI I/O space -- reg or ranges?

From: "Gerhard Pircher" <[email-masked]>
Date: Thu, 06 Sep 2007 22:51:37 +0200

-------- Original-Nachricht --------
> Datum: Thu, 6 Sep 2007 09:15:01 -0500
> Von: Scott Wood <[email-masked]>
> An: Segher Boessenkool <[email-masked]>
> CC: [email-masked], David Gibson <[email-masked]>
> Betreff: PCI I/O space -- reg or ranges?

> > Sure, it can be encoded like that.  But does it make sense?
> > You cannot use legacy I/O space as normal memory space.
> 
> Why does it not make sense?  I'm not sure what you mean by using it as
> "normal memory space", but if the PCI bridge does a straightforward
> linear mapping of I/O into memory space (like most non-x86 bridges do),
> it seems to make sense to me to reuse the existing ranges mechanism
> rather than require each driver to have extra glue code.
Well, pci_process_bridge_OF_ranges() only looks at the ranges property to
ioremap() I/O space.

Gerhard
-- 
Der GMX SmartSurfer hilft bis zu 70% Ihrer Onlinekosten zu sparen! 
Ideal für Modem und ISDN: http://www.gmx.net/de/go/smartsurfer